%define upstream_name    File-ChangeNotify
%define upstream_version 0.31

%?perl_default_filter
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(IO::KQueue\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Inotify-based watcher subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.6.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::More) >= 1.302.15
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Type::Utils)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides an API for creating a the File::ChangeNotify::Watcher
manpage subclass that will work on your platform.

Most of the documentation for this distro is in the
File::ChangeNotify::Watcher manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.310.0-4.mga10
+ Revision: 2208970
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.310.0-3.mga9
+ Revision: 1819355
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.310.0-2.mga8
+ Revision: 1522010
- Mageia 8 Mass Rebuild

* Fri Jan 11 2019 tv <tv> 0.310.0-1.mga7
+ Revision: 1355117
- update to 0.31

* Wed Oct 17 2018 shlomif <shlomif> 0.290.0-1.mga7
+ Revision: 1321457
- update to 0.29

* Thu Sep 20 2018 umeabot <umeabot> 0.280.0-2.mga7
+ Revision: 1283659
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 0.280.0-1.mga7
+ Revision: 1204934
- update to 0.28

* Sat Jul 29 2017 sander85 <sander85> 0.270.0-1.mga7
+ Revision: 1132348
- update to 0.27

* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-7.mga6
+ Revision: 1027284
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.240.0-6.mga6
+ Revision: 941262
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-5.mga5
+ Revision: 742306
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.240.0-4.mga5
+ Revision: 732133
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-2.mga5
+ Revision: 684709
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Feb 08 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 586210
- update to 0.24

* Sat Oct 19 2013 umeabot <umeabot> 0.230.0-2.mga4
+ Revision: 526980
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.230.0-1.mga4
+ Revision: 439281
- update to 0.23

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 367147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 254946
- update to 0.22

* Thu Feb 23 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 212872
- update to 0.21

* Fri Jun 17 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 108819
- update to 0.20

* Tue Jan 25 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 38589
- mageia rebuild
- imported package perl-File-ChangeNotify

